Skip to main content
GET
/
v1
/
processors
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/processors/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/processors/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/processors/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "a45bb075-085a-45e2-ba79-8157a8ae17f6",
  "object": "processor",
  "approved": true,
  "enabled": true,
  "live_mode": true,
  "processor_type": "stripe",
  "processor_data": {
    "account_id": "external_account_58",
    "publishable_key": "pk_test_51KeWoQFugiAKLuJycCZesY1aYEzfauqW2SHSZSUj5xCorx7h7oZd5i6Vz2whx7Y5fMZr6WQQTeOoQEtaEnpk4fkB00dinySlbK"
  },
  "recurring_enabled": true,
  "supported_currencies": null,
  "created_at": 1782485865,
  "updated_at": 1782485865
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

approved
boolean

Whether or not the connected processor account has been approved to process payments. (This is controlled by the processing platform – i.e. Stripe, PayPal, etc.)

enabled
boolean

Whether or not this processor is currently enabled to proccess new payments. (This is controlled within SureCart.)

live_mode
boolean

Set to true if this processor is for live mode, and set to false if it is for test mode.

processor_type
string

The type of processor – one of mock, mollie, paypal, paystack, or stripe.

processor_data
object

Data that is specific to the processor_type and necessary for integrating with this processor on the client. For example, this could include client public keys, account IDs, etc.

recurring_enabled
boolean

Whether or not this processor is setup to handle recurring payments.

supported_currencies
array | null

A list of currencies that this processor supports. If null, this processor supports all currencies.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.